DS_ALLOC_TILING_INFO(3)

FUNCTION
ds_alloc_tiling_info - Allocate array tiling information.

SYNOPSIS
#include <karma_ds.h>

flag ds_alloc_tiling_info

(array_desc *arr_desc, unsigned int num_levels)

DESCRIPTION
This routine will allocate tiling information for an array descriptor which does not have any existing tiling information.

arr_desc
    The array descriptor.

num_levels
    The number of levels of tiling. If this is 0, the array is not tiled.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/